services:
  caddy:
    image: caddy-saffron:1.0.8
    build: .
    container_name: caddy-saffron
    restart: unless-stopped
    ports:
      - 80:80
      - 443:443
      - 2015:2015
    volumes:
      - ./Caddyfile:/etc/caddy/Caddyfile
      - ./site:/srv
      - caddy_data:/data
      - caddy_config:/config

volumes:
  caddy_data:
  caddy_config: